LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 04-21-2011, 06:20 PM   #1
slayerking
Member
 
Registered: Apr 2011
Posts: 59

Rep: Reputation: 2
kernel help!!


i want to upgrade my kernel of auditor security collection which i have installed on my hardisk.The kernel version is 2.6.11.

Can somebody help me out ??
 
Old 04-21-2011, 06:32 PM   #2
spankbot
Member
 
Registered: Aug 2007
Posts: 131

Rep: Reputation: 16
I see from a google search that Auditor Security Collection is based on Knoppix, which is in turn based on Debian. Its also very old! That means that you may be able to use the apt-get tool to update / upgrade the various parts of your OS.

Apt-get tips and tricks: http://www.debiantutorials.com/apt-tips-and-tricks/

Let us know if you need further help.

Last edited by spankbot; 04-30-2011 at 03:00 AM.
 
Old 04-21-2011, 06:38 PM   #3
TobiSGD
Moderator
 
Registered: Dec 2009
Location: Germany
Distribution: Whatever fits the task best
Posts: 17,133
Blog Entries: 2

Rep: Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835
If you really are using Knoppix with a 2.6.11 kernel then you are either using Knoppix 3.8.2 or 3.9. Both versions are from 2005. I would strongly recommend to install a newer distro on your machine, Knoppix is actually available in version 6.4.4 with kernel 2.6.37.
 
Old 04-22-2011, 02:51 PM   #4
slayerking
Member
 
Registered: Apr 2011
Posts: 59

Original Poster
Rep: Reputation: 2
thanks for a quick reply guys!!
I have tried apt-get update before but it displays a lots of error
this is it

Err http://debian.usefulinc.com ./ Packages
Could not resolve 'debian.usefulinc.com'
Hit http://lpnotfr.free.fr ./ Packages
Err http://debian.usefulinc.com ./ Release
Could not resolve 'debian.usefulinc.com'
Err http://hinterhof.net ./ Packages
404 Not Found
Ign http://hinterhof.net ./ Release
Err http://hinterhof.net ./ Sources
404 Not Found
Err http://kanotix.com ./ Packages
404 Not Found
Ign http://kanotix.com ./ Release
Ign http://hinterhof.net ./ Release
Get:1 http://ftp.de.debian.org unstable/main Packages [9481kB]
Hit http://lpnotfr.free.fr ./ Release
Err http://debian.usefulinc.com ./ Sources
Could not resolve 'debian.usefulinc.com'
Err http://kanotix.com ./ Sources
404 Not Found
Ign http://kanotix.com ./ Release
Err http://sylpheed-claws.sourceforge.net unstable/main Packages
301 Moved Permanently
Ign http://sylpheed-claws.sourceforge.net unstable/main Release
Err http://sylpheed-claws.sourceforge.net unstable/main Sources
301 Moved Permanently
Ign http://sylpheed-claws.sourceforge.net unstable/main Release
Err http://debian.usefulinc.com ./ Release
Could not resolve 'debian.usefulinc.com'
Hit http://lpnotfr.free.fr ./ Sources
Hit http://sectool.sourceforge.net ./ Packages
Ign http://sectool.sourceforge.net ./ Release
Hit http://sectool.sourceforge.net ./ Sources
Ign http://sectool.sourceforge.net ./ Release
Hit http://www.stanchina.net ./ Packages
Hit http://www.stanchina.net ./ Release
Hit http://www.stanchina.net ./ Sources
Hit http://www.stanchina.net ./ Release
Hit http://lpnotfr.free.fr ./ Release
Get:2 http://ftp.de.debian.org unstable/main Release [82B]
Get:3 http://ftp.de.debian.org unstable/contrib Packages [77.8kB]
Get:4 http://ftp.de.debian.org unstable/contrib Release [85B]
Hit http://ftp.de.debian.org unstable/non-free Packages
Get:5 http://ftp.de.debian.org unstable/non-free Release [86B]
Err http://ftp.de.debian.org unstable/non-US/main Packages
404 Not Found
Ign http://ftp.de.debian.org unstable/non-US/main Release
Err http://ftp.de.debian.org unstable/non-US/contrib Packages
404 Not Found
Ign http://ftp.de.debian.org unstable/non-US/contrib Release
Err http://ftp.de.debian.org unstable/non-US/non-free Packages
404 Not Found
Ign http://ftp.de.debian.org unstable/non-US/non-free Release
Get:6 http://ftp.de.debian.org unstable/main Sources [6810kB]
Get:7 http://ftp.de.debian.org unstable/main Release [84B]
Get:8 http://ftp.de.debian.org unstable/contrib Sources [58.3kB]
Get:9 http://ftp.de.debian.org unstable/contrib Release [87B]
Hit http://ftp.de.debian.org unstable/non-free Sources
Get:10 http://ftp.de.debian.org unstable/non-free Release [88B]
Err http://ftp.de.debian.org unstable/non-US/main Sources
404 Not Found
Ign http://ftp.de.debian.org unstable/non-US/main Release
Err http://ftp.de.debian.org unstable/non-US/contrib Sources
404 Not Found
Ign http://ftp.de.debian.org unstable/non-US/contrib Release
Err http://ftp.de.debian.org unstable/non-US/non-free Sources
404 Not Found
Ign http://ftp.de.debian.org unstable/non-US/non-free Release
Get:11 http://ftp.de.debian.org testing/main Packages [9058kB]
Get:12 http://ftp.de.debian.org testing/main Release [81B]
Get:13 http://ftp.de.debian.org testing/contrib Packages [72.8kB]
Get:14 http://ftp.de.debian.org testing/contrib Release [84B]
Hit http://ftp.de.debian.org testing/non-free Packages
Get:15 http://ftp.de.debian.org testing/non-free Release [85B]
Err http://ftp.de.debian.org testing/non-US/main Packages
404 Not Found
Ign http://ftp.de.debian.org testing/non-US/main Release
Err http://ftp.de.debian.org testing/non-US/contrib Packages
404 Not Found
Ign http://ftp.de.debian.org testing/non-US/contrib Release
Err http://ftp.de.debian.org testing/non-US/non-free Packages
404 Not Found
Ign http://ftp.de.debian.org testing/non-US/non-free Release
Get:16 http://ftp.de.debian.org testing/main Sources [6142kB]
Get:17 http://ftp.de.debian.org testing/main Release [83B]
Get:18 http://ftp.de.debian.org testing/contrib Sources [53.4kB]
Get:19 http://ftp.de.debian.org testing/contrib Release [86B]
Hit http://ftp.de.debian.org testing/non-free Sources
Get:20 http://ftp.de.debian.org testing/non-free Release [87B]
Err http://ftp.de.debian.org testing/non-US/main Sources
404 Not Found
Ign http://ftp.de.debian.org testing/non-US/main Release
Err http://ftp.de.debian.org testing/non-US/contrib Sources
404 Not Found
Ign http://ftp.de.debian.org testing/non-US/contrib Release
Err http://ftp.de.debian.org testing/non-US/non-free Sources
404 Not Found
Ign http://ftp.de.debian.org testing/non-US/non-free Release
Fetched 31.8MB in 23m45s (22.3kB/s)
Failed to fetch http://debian.usefulinc.com/gnome/./Packages.gz Could not resolve 'debian.usefulinc.com'
Failed to fetch http://debian.usefulinc.com/gnome/./Release Could not resolve 'debian.usefulinc.com'
Failed to fetch http://debian.usefulinc.com/gnome/./Sources.gz Could not resolve 'debian.usefulinc.com'
Failed to fetch http://debian.usefulinc.com/gnome/./Release Could not resolve 'debian.usefulinc.com'
Failed to fetch http://ftp.de.debian.org/debian-non-...86/Packages.gz 404 Not Found
Failed to fetch http://ftp.de.debian.org/debian-non-...86/Packages.gz 404 Not Found
Failed to fetch http://ftp.de.debian.org/debian-non-...86/Packages.gz 404 Not Found
Failed to fetch http://ftp.de.debian.org/debian-non-...rce/Sources.gz 404 Not Found
Failed to fetch http://ftp.de.debian.org/debian-non-...rce/Sources.gz 404 Not Found
Failed to fetch http://ftp.de.debian.org/debian-non-...rce/Sources.gz 404 Not Found
Failed to fetch http://ftp.de.debian.org/debian-non-...86/Packages.gz 404 Not Found
Failed to fetch http://ftp.de.debian.org/debian-non-...86/Packages.gz 404 Not Found
Failed to fetch http://ftp.de.debian.org/debian-non-...86/Packages.gz 404 Not Found
Failed to fetch http://ftp.de.debian.org/debian-non-...rce/Sources.gz 404 Not Found
Failed to fetch http://ftp.de.debian.org/debian-non-...rce/Sources.gz 404 Not Found
Failed to fetch http://ftp.de.debian.org/debian-non-...rce/Sources.gz 404 Not Found
Failed to fetch http://sylpheed-claws.sourceforge.ne...86/Packages.gz 301 Moved Permanently
Failed to fetch http://sylpheed-claws.sourceforge.ne...rce/Sources.gz 301 Moved Permanently
Failed to fetch http://hinterhof.net/~max/debian/./Packages.gz 404 Not Found
Failed to fetch http://hinterhof.net/~max/debian/./Sources.gz 404 Not Found
Failed to fetch http://kanotix.com/files/debian/./Packages.gz 404 Not Found
Failed to fetch http://kanotix.com/files/debian/./Sources.gz 404 Not Found
Reading Package Lists... Error!
E: Unable to parse package file /var/lib/apt/lists/ftp.de.debian.org_debian_dists_unstable_main_binary-i386_Packages (1)
E: The package lists or status file could not be parsed or opened.


error in reading package=>I couldn't figure it out
 
Old 04-22-2011, 02:57 PM   #5
spankbot
Member
 
Registered: Aug 2007
Posts: 131

Rep: Reputation: 16
apt-get requires a working network connection. Looking at those error, it looks like either your network is not working properly or those repositories aren't online.

Last edited by spankbot; 04-30-2011 at 03:02 AM.
 
Old 04-22-2011, 03:05 PM   #6
slayerking
Member
 
Registered: Apr 2011
Posts: 59

Original Poster
Rep: Reputation: 2
the network is working 19 files got downloaded it also shows the downloading speed

Last edited by slayerking; 04-22-2011 at 03:07 PM.
 
Old 04-22-2011, 03:15 PM   #7
TobiSGD
Moderator
 
Registered: Dec 2009
Location: Germany
Distribution: Whatever fits the task best
Posts: 17,133
Blog Entries: 2

Rep: Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835
As stated above, your Knoppix version is very old. All that errors come from repositories that are simply not online anymore. Install a newer version, I doubt that it makes any sense to upgrade your system.
 
Old 04-22-2011, 03:18 PM   #8
slayerking
Member
 
Registered: Apr 2011
Posts: 59

Original Poster
Rep: Reputation: 2
i don't know how to compile kernel so to install a new kernel image what can i do??where can i download a compiled kernel image??
 
Old 04-22-2011, 03:25 PM   #9
slayerking
Member
 
Registered: Apr 2011
Posts: 59

Original Poster
Rep: Reputation: 2
if i installed a new distro will it have all the programs that are included on auditor security collection
 
Old 04-22-2011, 03:55 PM   #10
TobiSGD
Moderator
 
Registered: Dec 2009
Location: Germany
Distribution: Whatever fits the task best
Posts: 17,133
Blog Entries: 2

Rep: Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835
After doing a Google search for Auditor Security Collection I found out that this distribution merged with the WHAX distribution to build Backtrack Linux. I would assume that this is the distribution you should have a look at.
 
Old 04-23-2011, 01:04 AM   #11
slayerking
Member
 
Registered: Apr 2011
Posts: 59

Original Poster
Rep: Reputation: 2
yeah!I have backtracks 4 but it is little complicated than auditor.
Is it a impossible task that i am trying to do??I wanted to update kernel because my wireless usb network adaptors are not working in auditor
I downloaded drivers from http://linuxwireless.org/ but the kernel version required is 2.6.26 .Do you know any sites where i can download latest wireless usb drivers which is supported on kernel 2.6.11 ??
Anyway, thanks for your help guys!!
I like your quick reply's
 
Old 04-23-2011, 01:13 AM   #12
spankbot
Member
 
Registered: Aug 2007
Posts: 131

Rep: Reputation: 16
Quote:
Originally Posted by slayerking View Post
yeah!I have backtracks 4 but it is little complicated than auditor.
Is it a impossible task that i am trying to do??I wanted to update kernel because my wireless usb network adaptors are not working in auditor
I downloaded drivers from http://linuxwireless.org/ but the kernel version required is 2.6.26 .Do you know any sites where i can download latest wireless usb drivers which is supported on kernel 2.6.11 ??
Anyway, thanks for your help guys!!
I like your quick reply's
In my opinion, it's not possable without *a lot* of work. It might not be possible at all... The right thing to do (for many reasons) is use the current version of the OS.
 
Old 04-23-2011, 01:18 AM   #13
TobiSGD
Moderator
 
Registered: Dec 2009
Location: Germany
Distribution: Whatever fits the task best
Posts: 17,133
Blog Entries: 2

Rep: Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835Reputation: 4835
Quote:
Originally Posted by spankbot View Post
In my opinion, it's not possable without *a lot* of work. It might not be possible at all... The right thing to do (for many reasons) is use the current version of the OS.
I can only support that. Learning the new tools will probably cost less time than to update your distribution (if even possible). You can of course give it a try, but between your kernel-version and and an up to date kernel really many things had changed.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Unable to build kernel RPM with 'custom name'. (need not kernel but kernel-something) RattleSn@ke Linux - Kernel 1 01-12-2011 06:30 PM
Config 2.6.36.1 kernel (from kernel.org) using CentOS 5.4 x86_64 kernel .config whitewolf573 Linux - Kernel 2 12-11-2010 08:33 AM
how to upgrade the Debian 3 kernel 2.4.18 to kernel 2.6 or bigmem- kernel chandu.bezawada Debian 6 11-12-2010 09:33 AM
LXer: Howto: build Linux kernel module against installed kernel w/o full kernel source tree LXer Syndicated Linux News 0 09-03-2006 08:21 PM
Kernel-Patch Debian Logo 2.6.2 not correctly working for custom kernel 2.6.11 smp deepclutch Debian 3 06-27-2005 03:59 AM


All times are GMT -5. The time now is 11:09 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration